import { Construct } from 'constructs';
import { SignalCatalog } from './signalcatalog';
import { Vehicle } from './vehicle';
/**
 * Interface
 */
export interface FleetProps {
    readonly signalCatalog: SignalCatalog;
    readonly fleetId: string;
    readonly description?: string;
    readonly vehicles?: Array<Vehicle>;
}
/**
 * The fleet of vehicles
 */
export declare class Fleet extends Construct {
    readonly arn: string;
    readonly fleetId: string;
    readonly signalCatalog: SignalCatalog;
    readonly vehicles?: Array<Vehicle>;
    constructor(scope: Construct, id: string, props: FleetProps);
}
